%define pkg    FreeImage
%define ver    3.15.0
%define pkgv   %(echo %{ver} | tr -d '.')


Summary:       A multi-format image decoder library
Name:          %{pkg}
Version:       %{ver}
Release:       1%{?dist}%{?pext}
License:       GPLv2/FIPL
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/freeimage/%{pkg}%{pkgv}.zip
Patch0:        %{pkg}-3.15.0-install.patch
URL:           http://freeimage.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Herve Drolon <drolon@infonie.fr>

%description
FreeImage is an Open Source library project which supports popular graphics
image formats like PNG, BMP, JPEG, TIFF and others as needed by multimedia
applications. FreeImage is easy to use, fast, multithreading safe and cross-
platform (works both with Linux and Mac OS X).


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q -n %{pkg}
%patch0 -p1


%build
CFLAGS="${RPM_OPT_FLAGS} -fPIC -fexceptions -fvisibility=hidden"
CFLAGS="${CFLAGS} -DNO_LCMS -Wno-unused"
CXXFLAGS="${RPM_OPT_FLAGS} -fPIC -fexceptions -fvisibility=hidden"
CXXFLAGS="${CXXFLAGS} -Wno-ctor-dtor-privacy -Wno-unused"
export CFLAGS CXXFLAGS

%{__make} %{?_smp_mflags} \
	all


%check
pushd TestAPI
%{__make} && ./testAPI
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_includedir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT}              \
	INCDIR=${RPM_BUILD_ROOT}%{_includedir} \
	INSTALLDIR=${RPM_BUILD_ROOT}%{_libdir} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README.linux *.txt
%{_libdir}/libfreeimage-*.so

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/libfreeimage.*a
%{_libdir}/libfreeimage.so


%changelog
* Sat Feb 26 2011 Peter Pramberger <peterpramb@member.fsf.org> - 3.15.0-1
- Initial build
